/*
 * Main routines
 */

#include <stdio.h>
#include <setjmp.h>
#include <sys/file.h>

#ifndef _NFILE
# define _NFILE 20
#endif

#ifdef NEVER_USED
jmp_buf jmpenv;  /* What is this for? */
#endif

static char *input_files[_NFILE];/* Names of files on the command line */
static int input_file_count = -1;/* Index into input_files[] */
extern int call_tos;
extern void read_stdin();
extern void read_file();

int tpic=0;		/* 1 if tpic instead of pic */
int print_symbols=1;	/* 0 if no symbols at each point plotted */
int label_last_point=0;	/* 1 if last point should get label */


/*
 * Main program
 */
main(argc, argv)
int argc;
char *argv[];
{
    register int i;
#ifdef	DEBUG
    extern int yydebug;
    yydebug = 0;

    printf("** This is the debugging version of GRAPHER **\n");
#endif	DEBUG

    for (i=1; i<argc; i++) {
	if (argv[i][0] == '-') switch(argv[i][1]) {
#ifdef	DEBUG
	case 'd':
	    yydebug = 1;
	    break;
#endif	DEBUG
	case 't':
	    tpic = !tpic;
	    break;
	case 's':
	    print_symbols = !print_symbols;
	    break;
	case 'l':
	    label_last_point = !label_last_point;
	    break;
	default:
	    fprintf(stderr, "Unknown flag %s, ignored\n", argv[i]);
	}
	else {
	    if (++input_file_count >= _NFILE) {
		fprintf(stderr, "Too many files on command line");
		exit(1);
	    }
	    if (access(argv[i], R_OK) == -1) {
		fprintf(stderr, "Unable to read %s\n", argv[i]);
		exit(1);
	    }
	    input_files[input_file_count] = argv[i];
	}
    }

    if (input_file_count == -1) read_stdin();
    else {
	while (input_file_count >= 0) {
	    read_file(input_files[input_file_count]);
	    --input_file_count;
	}
    }

    (void) yyparse();
    printf("\n");
    exit(0);
}


#ifdef NEVER_USED
/*
 * Print an error message and abort when something that can't happen does.
 * Then core dump for debugging.
 */
void panic(msg)
char *msg;
{
    fprintf(stderr, "Panic: %s\n", msg);
    abort();
}
#endif


