/* Lexical analyzer for reachability graph analysis program */
%p 3500
%{
#include "graphery.h"
#include <ctype.h>
extern double atof();
char string[256];
%}
%%
\"[^"]*\"	{char *c, *c2;
		 c = &yytext[1];
		 c2 = &string[0];
		 while (*c != '"') 
		    *c2++ = *c++;
		 *c2 = '\0';
		 yylval.id = &string[0];
		 return(String);
		}
"aspect ratio"	return(aspectratio);
"x-axis"	return(xaxis);
"y-axis"	return(yaxis);
"type"		return(type);
"log"		return(log);
"min"		return(min);
"max"		return(max);
"data"		return(data);
"label"		return(label);
"del"		return(del);
"="		return('=');
":"		return(':');
\n		return(newline);
\0		return(eof);
-?[0-9]+	{yylval.floating = atof(yytext);	 return(Floating);}
-?[0-9]*"."[0-9]+("E"[+-]?[0-9]+)?	{yylval.floating = atof(yytext); return(Floating);}
[ \t]+		/* Whitespace */;
\\[ \t]*\n	/* Whitespace */;
"/*"		{/* Look for end of comment */
		    register int c;
		    c = input();
		    do {
			while (c != '*') c = input();
			c = input();
		    }
		    while (c != '/');
		}
%%

